{
    attributes = (
        {
            columnName = "C_STRUCTURE"; 
            externalType = VARCHAR2; 
            name = cStructure; 
            valueClassName = NSString; 
            width = 10; 
        }, 
        {
            columnName = "NO_INDIVIDU"; 
            externalType = NUMBER; 
            name = noIndividu; 
            valueClassName = NSNumber; 
            valueType = i; 
        }
    ); 
    attributesUsedForLocking = (cStructure, noIndividu); 
    className = "org.cocktail.kava.server.metier.EOSecretariat"; 
    classProperties = (cStructure, individuUlr, noIndividu, structureUlr); 
    externalName = "grhum.secretariat"; 
    fetchSpecificationDictionary = {}; 
    internalInfo = {
        "_clientClassPropertyNames" = (cStructure, individuUlr, noIndividu, structureUlr); 
        "_javaClientClassName" = "org.cocktail.kava.client.metier.EOSecretariat"; 
    }; 
    name = Secretariat; 
    primaryKeyAttributes = (cStructure, noIndividu); 
    relationships = (
        {
            destination = IndividuUlr; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = noIndividu; sourceAttribute = noIndividu; }); 
            name = individuUlr; 
        }, 
        {
            destination = StructureUlr; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = cStructure; sourceAttribute = cStructure; }); 
            name = structureUlr; 
        }
    ); 
}
